import util from '@/pages/login/util.js'

export function goToLocation(item) {
    //小程序内链接
    if(item.busType == 3 && item.link){
        uni.navigateTo({
            url: item.link
        })
        return
    } 
	let token = uni.getStorageSync('userToken')
	if (!token) {
	    uni.setStorageSync('jdNavToObj', item)
	    uni.navigateTo({
	        url: '/pages/login/index/index'
	    })
	    return
	}
	let url
	//H5链接,判断链接是否设置
	if(item.busType == 1 && item.link){
	    util.navigateToH5({page:url})
	} 
	//小程序链接,需要判断链接和appId是否都设置
	if(item.busType == 2 && item.appId != null && item.link){ 
	    uni.navigateToMiniProgram({
	        appId: item.appId, // 跳转目标小程序的id
	        path: item.link, // 目标小程序的页面路径
	        extraData: { // 需要携带的参数
	            
	        },
	        success:(res)=> {
	            // 打开成功
	            
	        },
	        fail:()=>{
	            
	        }
	    })
	}
    
}